Jump to content

[1.9+] ModularFlightIntegrator 1.2.7 (19 October 2019)


Recommended Posts

  • 4 months later...
  • 2 weeks later...
  • 2 weeks later...
  • 2 weeks later...

It seems that the Modular Flight Integrator has caused the Comnet dish at the Inland Space Center to disappear.  I went through my mods and this was the one that changed things.  This was in the Mission Builder.

 

Photo without MFI installed:

zWDPqye.png

 

Photo with MFI installed:

H6Mzcey.png

 

Link to post
Share on other sites
  • 4 months later...

Hi,

I have a KSP Install with many mods and get the following error when I reenter the atmosphere (of Kerbin):

[ERR 10:25:04.090] TimingFI threw during Update: System.ArgumentOutOfRangeException: Argument is out of range.
Parameter name: index
  at System.Collections.Generic.List`1[OcclusionData].get_Item (Int32 index) [0x00000] in <filename unknown>:0 
  at FlightIntegrator.UpdateOcclusionConvection () [0x00000] in <filename unknown>:0 
  at FlightIntegrator.UpdateOcclusion (Boolean all) [0x00000] in <filename unknown>:0 
  at ModularFI.ModularFlightIntegrator.UpdateOcclusion (Boolean all) [0x00000] in <filename unknown>:0 
  at FlightIntegrator.Update () [0x00000] in <filename unknown>:0 
  at ModularFI.ModularFlightIntegrator.TimedUpdate () [0x00000] in <filename unknown>:0 
  at (wrapper delegate-invoke) Callback:invoke_void__this__ ()
  at (wrapper delegate-invoke) Callback:invoke_void__this__ ()
  at TimingFI.Update () [0x00000] in <filename unknown>:0 

The complete log can be found here:

https://drive.google.com/open?id=15D4SvmYpFGMqv6te87wgaiPRrCvqUn1_

(it was to big for pastebin)

When entering the atmosphere, the craft begins to wobble (every polygon not only the connections between parts) and doesnt respond to drag or gravity anymore.

I hope someone here can point me in the right direction to find the origin of this error. Maybe an incompatible mod?

I posted this here because ModularFlightIntegrator was the only clue i could find in the log that was directly related to the problem.

Link to post
Share on other sites
  • 2 weeks later...

@@X52 Happening to me as well, but during ascent and reentry. always around the 10 km mark.

the log just repeats this over and over:

[LOG 19:21:06.682] Look rotation viewing vector is zero
[ERR 19:21:06.682] TimingFI threw during FixedUpdate: System.ArgumentOutOfRangeException: Argument is out of range.
Parameter name: index
  at System.Collections.Generic.List`1[OcclusionData].get_Item (Int32 index) [0x00000] in <filename unknown>:0 
  at FlightIntegrator.UpdateOcclusionSolar () [0x00000] in <filename unknown>:0 
  at FlightIntegrator.UpdateOcclusion (Boolean all) [0x00000] in <filename unknown>:0 
  at ModularFI.ModularFlightIntegrator.UpdateOcclusion (Boolean all) [0x00000] in <filename unknown>:0 
  at FlightIntegrator.FixedUpdate () [0x00000] in <filename unknown>:0 
  at ModularFI.ModularFlightIntegrator.TimedFixedUpdate () [0x00000] in <filename unknown>:0 
  at TimingFI.FixedUpdate () [0x00000] in <filename unknown>:0 

quicksaving and loading fixes it sometimes, but then it happens again

Edited by Bill the Kerbal
log
Link to post
Share on other sites
  • 1 month later...

Could you release version compatible with 1.7 soon? Because Kopernicus requires your mod, and I therefore can't use any planet packs (my favorite kind of mod) until it's updated.

Link to post
Share on other sites
  • 2 months later...
On 6/1/2019 at 10:50 PM, Scotskerb said:

Could you release version compatible with 1.7 soon? Because Kopernicus requires your mod, and I therefore can't use any planet packs (my favorite kind of mod) until it's updated.

Yes you can. Just tell CKAN to not hide mods marked for previous KSP versions. 

MFI appears to work just fine on 1.7.3. 

Ps. It’s considered rude to demand updates. Especially when a few minutes of checking could’ve told you that it works just fine. 

Edited by Jognt
Link to post
Share on other sites

Hey guys,

On 6/1/2019 at 10:50 PM, Scotskerb said:

Could you release version compatible with 1.7 soon? Because Kopernicus requires your mod, and I therefore can't use any planet packs (my favorite kind of mod) until it's updated.

It is fairly easy to rebuild the mod as-is yourself. Also:

6 hours ago, Jognt said:

Yes you can. Just tell CKAN to not hide mods marked for previous KSP versions. 

MFI appears to work just fine on 1.7.3. 

Ps. It’s considered rude to demand updates. Especially when a few minutes of checking could’ve told you that it works just fine. 

If you "require" the library to be built against 1.7.3, you can grab my personal copy here. I recreated several builds on Azure DevOps which you can find here, and run them especially when a new KSP release is rolled out.

N.B. this is just a plain compile from the master branch, just like sarbian's Jenkins pipeline (I literally copied the command that performs the compilation).
The only thing I actually update is bumping the version during the build from 1.2.6.0 -> 1.2.6.1 to distinguish the dll's

 

Link to post
Share on other sites
1 hour ago, Rory Slegtenhorst said:

Hey guys,

It is fairly easy to rebuild the mod as-is yourself. Also:

If you "require" the library to be built against 1.7.3, you can grab my personal copy here. I recreated several builds on Azure DevOps which you can find here, and run them especially when a new KSP release is rolled out.

N.B. this is just a plain compile from the master branch, just like sarbian's Jenkins pipeline (I literally copied the command that performs the compilation).
The only thing I actually update is bumping the version during the build from 1.2.6.0 -> 1.2.6.1 to distinguish the dll's

 

While it is nice of you I would rather you did not link this. I had to deal with alternate distribution source in the past and ended up debugging bugs that were not mine.

8 hours ago, nubeees said:

Is ModuleFlightIntegrator still being maintained?

Yes, MFI is still being maintained but it did not require any change in a long time and since I am lazy I did not even change the post title.

Link to post
Share on other sites
  • 1 month later...
  • 3 months later...
  • 1 month later...
1 hour ago, Krzeszny said:

Please update the plugin. Ferram Aerospace Research depends on it.

Is it not working for you?

If not, please describe the issue, and provide logs and list of installed mods.
You can find out how to post logs here:
 

 

Link to post
Share on other sites
8 hours ago, Stone Blue said:

Is it not working for you?

If not, please describe the issue, and provide logs and list of installed mods.
You can find out how to post logs here:
 

 

Who says it should be working? It's officially compatible with 1.8.9, not 1.9.1.

Link to post
Share on other sites
1 hour ago, Krzeszny said:

Who says it should be working? It's officially compatible with 1.8.9, not 1.9.1.

FAR for 1.9.x includes the 1.8 version of ModularFlightIntegrator in the download so you can assume that it still works without an update :)

Link to post
Share on other sites
16 minutes ago, 4x4cheesecake said:

FAR for 1.9.x includes the 1.8 version of ModularFlightIntegrator in the download so you can assume that it still works without an update :)

I would rather not assume something is working... Ok, ok, I actually do it all the time while building my rockets.

But if it really is compatible, @sarbian please update the metadata or something so that CKAN sees it as compatible. FAR doesn't show up in the mods list even though it's a great mod, and having to select 1.8 in CKAN's settings is both inconvenient and gives users lots of doubts, unless they dig around the forums, which kind of defeats the purpose of CKAN. Plus, there are no official news whether or not Modular Flight Integrator is 100% compatible with 1.9.1. Thank you.

Link to post
Share on other sites
  • 4 weeks later...

Does MFI happen to have a debug mode?

I'm trying to find the cause of phantom forces (these) and noticed MFI mentioned stuff like axisGroupsModule/VesselModuleRotation in the log. I'm hoping MFI could help with figuring out where these forces come from.

Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...